IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[mob_evaluaciones]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[mob_evaluaciones]
GO
CREATE PROCEDURE [mob_evaluaciones]
	@p_idSubtipoDocumento int,
	@p_idUsuario int
AS
BEGIN

	--MANTENER EL MISMO ORDEN DE LAS CONSULTAS, PRIMERO PREGUNTAS Y LUEGO RESPUESTAS

	--preguntas
	--el nombre de las columnas tiene que ser el mismo
	select 
		id_evaluacion,
		doc_evaluacion_evaluacion,
		doc_evaluacion_evaluacion_codigo,
		id id_pregunta,
		pregunta,
		pregunta_codigo,
		orden,
		activa,
		valor
	from view_doc_pregunta
	where 
		doc_evaluacion_id_subtipoDocumento = @p_idSubtipoDocumento and 
		doc_evaluacion_activa = 1 and activa = 1

	--respuestas
	--el nombre de las columnas tiene que ser el mismo
	select 
		pregunta.id_evaluacion,
		respuestas.id_pregunta,
		respuestas.id id_opcionRespuesta,
		opcionRespuesta,
		opcionRespuesta_codigo,
		respuestas.orden,
		respuestas.activa,
		respuestas.valor
	from view_doc_pregunta pregunta 
		inner join doc_opcionRespuesta respuestas
	on pregunta.id = respuestas.id_pregunta
	where 
		pregunta.doc_evaluacion_id_subtipoDocumento = @p_idSubtipoDocumento and 
		pregunta.doc_evaluacion_activa = 1 and 
		pregunta.activa = 1 and
		respuestas.activa = 1 and
		respuestas.active = 1
END
